Fix too much <td></td> within html dev.memitem div.memproto table.memname.
Within html export the detailed function description contains trailing td's at the last two lines.
This fix corrects the problem.

Without this fix:
  <table>
  <tr><td>int foo</td><td>(</td><td>int</td><td>param1,</td></tr>
  <tr><td></td>       <td></td> <td>int</td><td>param2,</td><td></td></tr>
  <tr><td></td>       <td>)</td><td>int</td><td></td>       <td></td></tr>

With fix:
  <table>
  <tr><td>int foo</td><td>(</td><td>int</td><td>param1,</td></tr>
  <tr><td></td>       <td></td> <td>int</td><td>param2,</td></tr>
  <tr><td></td>       <td>)</td><td>int</td><td></td>       </tr>


Index: b/src/htmlgen.cpp
===================================================================
--- a/src/htmlgen.cpp
+++ b/src/htmlgen.cpp
@@ -1934,22 +1934,25 @@
   {
     if (emptyList)
     {
-      t << "</td>" << endl;
+      /*t << "</td>" << endl;
       t << "          <td>";
       if (closeBracket) t << "&nbsp;)";
-      t << "&nbsp;</td>" << endl;
+      t << "&nbsp;</td>" << endl; */
+      if (closeBracket) t << "&nbsp;)";
+      else              t << "&nbsp;";
+      t << "</td>" << endl;
       t << "          <td>";
     }
     else
     {
-      t << "</td><td>&nbsp;</td>" << endl;
+      t << "&nbsp;</td>" << endl;
       t << "        </tr>" << endl;
       t << "        <tr>" << endl;
       t << "          <td></td>" << endl;
       t << "          <td>";
       if (closeBracket) t << ")";
       t << "</td>" << endl;
-      t << "          <td></td><td></td><td>";
+      t << "          <td></td><td>";
     }
   }
   else
